# Interface AnnotatedTypeTree

All Superinterfaces:
  `ExpressionTree, Tree`

public interface AnnotatedTypeTree extends ExpressionTree
A tree node for an annotated type. For example:

       @annotationType String
       @annotationType ( arguments ) Date

Since:
  1.8
See Also:
  - "JSR 308: Annotations on Java Types"

## Nested Class Summary

### Nested classes/interfaces declared in interface Tree

`Tree.Kind`
Modifier and Type
Interface
Description
`static enum`
`Tree.Kind`
Enumerates all kinds of trees.

## Method Summary

Modifier and Type
Method
Description
`List<? extends AnnotationTree>`
`getAnnotations()`
Returns the annotations associated with this type expression.
`ExpressionTree`
`getUnderlyingType()`
Returns the underlying type with which the annotations are associated.

### Methods declared in interface Tree

`accept, getKind`
Modifier and Type
Method
Description
`<R,D> R`
`accept(TreeVisitor<R,D> visitor, D data)`
Accept method used to implement the visitor pattern.
`Tree.Kind`
`getKind()`
Returns the kind of this tree.

## Method Details

### getAnnotations

List<? extends AnnotationTree> getAnnotations()
Returns the annotations associated with this type expression.

Returns:
  the annotations

### getUnderlyingType

ExpressionTree getUnderlyingType()
Returns the underlying type with which the annotations are associated.

Returns:
  the underlying type